Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2069546 - "solaar show" fails with "solaar: assertion failed"
Summary: "solaar show" fails with "solaar: assertion failed"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: solaar
Version: 35
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-29 06:49 UTC by Simon Krenger
Modified: 2022-05-16 02:04 UTC (History)
6 users (show)

Fixed In Version: solaar-1.1.3-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-16 02:04:20 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github pwr-Solaar Solaar issues 1519 0 None open solaar: assertion failed: /usr/lib/python3.10/site-packages/logitech_receiver/settings.py line 1041 with MX Ergo Multi-D... 2022-03-29 21:15:41 UTC

Description Simon Krenger 2022-03-29 06:49:12 UTC
Description of problem:

As part of Bug 2053391 I upgraded to Solaar 1.1.2 (https://bodhi.fedoraproject.org/updates/FEDORA-2022-4f397f8544). When running `solaar show`, the following error message is shown:

~~~
$ solaar show
Solaar version 1.1.2

Unifying Receiver
  Device path  : /dev/hidraw4
  USB id       : 046d:C52B
  Serial       : <OMITTED>
    Firmware   : 24.11.B0036
    Bootloader : 02.09
    Other      : AA.AC
  Has 1 paired device(s) out of a maximum of 6.
  Notifications: wireless (0x000100)
  Device activity counters: 1=148

  1: MX Ergo Multi-Device Trackball 
     Device path  : /dev/hidraw8
     WPID         : 406F
     Codename     : MX Ergo
     Kind         : trackball
     Protocol     : HID++ 4.5
     Polling rate : 8 ms (125Hz)
     Serial number: <OMITTED>
     Model ID:      B01D406F0000
     Unit ID:       <OMITTED>
        Bootloader: BOT 49.00.B0001
          Firmware: MPM 06.03.B0022
             Other: 
     The power switch is located on the base.
     Supports 36 HID++ 2.0 features:
         0: ROOT                   {0000}   
         1: FEATURE SET            {0001}   
         2: DEVICE FW VERSION      {0003}   
            Firmware: Bootloader BOT 49.00.B0001 0000CDE885F3
            Firmware: Firmware MPM 06.03.B0022 406FCDE885F3
            Firmware: Other   
            Unit ID: <OMITTED>  Model ID: B01D406F0000  Transport IDs: {'btleid': 'B01D', 'wpid': '406F'}
         3: DEVICE NAME            {0005}   
            Name: MX Ergo Multi-Device Trackball 
            Kind: trackball
         4: WIRELESS DEVICE STATUS {1D4B}   
         5: DEVICE FRIENDLY NAME   {0007}   
            Friendly Name: MX Ergo
         6: RESET                  {0020}   
         7: CRYPTO ID              {0021}   
         8: BATTERY STATUS         {1000}   
            Battery: 50%, discharging, next level 20%.
         9: LED CONTROL            {1300}   
        10: REPROG CONTROLS V4     {1B04}   
            Key/Button Actions (saved): {DPI Change:DPI Change, Left Button:Left Click, Right Button:Right Click, Middle Button:Mouse Middle Button, Back Button:Mouse Back Button, Forward Button:Mouse Forward Button, Left Tilt:Mouse Scroll Left Button , Right Tilt:Mouse Scroll Right Button}
            Key/Button Actions        : {DPI Change:DPI Change, Left Button:Left Click, Right Button:Right Click, Middle Button:Mouse Middle Button, Back Button:Mouse Back Button, Forward Button:Mouse Forward Button, Left Tilt:Mouse Scroll Left Button , Right Tilt:Mouse Scroll Right Button}
            Key/Button Diversion (saved): {DPI Change:Regular, Middle Button:Regular, Back Button:Regular, Forward Button:Regular, Left Tilt:Regular, Right Tilt:Regular}
            Key/Button Diversion        : {DPI Change:Regular, Middle Button:Regular, Back Button:Regular, Forward Button:Regular, Left Tilt:Regular, Right Tilt:Regular}
        11: PERSISTENT REMAPPABLE ACTION {1C00}   
solaar: assertion failed: /usr/lib/python3.10/site-packages/logitech_receiver/settings.py line 1041
~~~

Version-Release number of selected component (if applicable):

~~~
$ solaar --version
solaar 1.1.2
$ sudo dnf info solaar
Last metadata expiration check: 0:05:22 ago on Tue 29 Mar 2022 08:41:56 AM CEST.
Installed Packages
Name         : solaar
Version      : 1.1.2
Release      : 1.fc35
Architecture : noarch
Size         : 2.3 M
Source       : solaar-1.1.2-1.fc35.src.rpm
Repository   : @System
From repo    : @commandline
Summary      : Device manager for a wide range of Logitech devices
URL          : https://github.com/pwr/Solaar
[..]
~~~

How reproducible:

Always

Steps to Reproduce:
1. Install Solaar 1.1.2
2. Run `solaar show`

Actual results:

Fails with "solaar: assertion failed: /usr/lib/python3.10/site-packages/logitech_receiver/settings.py line 1041"

Expected results:

Finishes without any errors

Additional info: -

Comment 1 Dominik 'Rathann' Mierzejewski 2022-03-29 21:15:41 UTC
Thanks for the report!

Comment 2 Peter F. Patel-Schneider 2022-03-29 22:33:33 UTC
Please look at https://github.com/pwr-Solaar/Solaar/issues/1519 and provide the information requested there

Comment 3 Simon Krenger 2022-03-30 07:16:11 UTC
Provided the output in the GitHub issue. Let me know if there is anything else I can provide. Thanks.

Comment 4 Fedora Update System 2022-05-05 12:05:37 UTC
FEDORA-2022-af83e480cc has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-af83e480cc

Comment 5 Fedora Update System 2022-05-08 03:26:11 UTC
FEDORA-2022-af83e480cc has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-af83e480cc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-af83e480cc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-05-16 02:04:20 UTC
FEDORA-2022-af83e480cc has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.